package kiyut.alkitab.actions;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import kiyut.alkitab.windows.DictionariesTopComponent;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;

/**
 * Action which shows {@link kiyut.alkitab.windows.DictionariesTopComponent DictionariesTopComponent}.
 */
public class DictionariesAction extends AbstractAction {

    public DictionariesAction() {
        super(NbBundle.getMessage(DictionariesAction.class, "CTL_DictionariesAction"));
//        putValue(SMALL_ICON, new ImageIcon(Utilities.loadImage(DictionariesTopComponent.ICON_PATH, true)));
    }

    public void actionPerformed(ActionEvent evt) {
        TopComponent win = DictionariesTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
